AI resources
Create Other Operations report

Requests the manual generation of an Other Operations report of the type specified by reportId, using the date range and filters sent in the request body. Generation is asynchronous: the response returns a record_id, which you must use as the uid to check the report status with GET /statements/{uid}. In case of success, the request returns a response with status 200.

POST

https://api.mercadopago.com/v1/reporting/operations/{reportId}/statements
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
reportId
string

REQUIRED

Other Operations report type.
activities_collection: Collection report.
activities_after_collection: Post-collection report.
activities_withdraw: Withdrawal report.
Body
filters
object

REQUIRED

Groups the criteria used to select the account operations that will be included in the generated report.
file_format
string
Format of the generated report file. For example, application/csv.
Response parameters
result
string
Result of the report generation request. The value ok indicates that the request was accepted successfully.
record_id
string
Unique identifier (UUID) of the report generation task. Use this value as the uid to check the report status and download the file when it is available
Errors

400Invalid or incomplete date range.

invalid_date_range

The requested date range is incomplete or invalid. Send both gte and lte in ISO 8601 format with a UTC offset, make sure that gte is earlier than or equal to lte, and use a period of no more than one year. Then submit the request again.

409A report with the same deduplication key is already in progress.

export_already_requested

An equivalent report is already being generated for the same user, reportId, date range, and filters. Do not submit a duplicate request. List or search the reports to retrieve the existing report identifier and check its status until processing finishes.

Request
curl -X POST \
    'https://api.mercadopago.com/v1/reporting/operations/{reportId}/statements'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********685765-12*********1b4332e5c*********e077d7679*********664' \
    -d '{
  "filters": {
    "creation_date": {
      "range": {
        "gte": "2026-03-01T00:00:00.000-03:00",
        "lte": "2026-03-31T23:59:59.999-03:00"
      }
    }
  },
  "file_format": "application/csv"
}'
Response
{
  "result": "ok",
  "record_id": "6d17e034-6eb3-48fc-a6fa-461e886fa406"
}